**Source URL:** https://limited.veevavault.dev/vault-api/api-reference/19.1/document-lifecycle-workflows/document-binder-user-actions/retrieve-user-actions.md

# Retrieve User Actions



Retrieve all available user actions on a specific version of a document or binder which:

* The authenticated user has permissions to view or initiate

* Can be initiated through the API

<Endpoint path="/api/{version}/objects/{documents_or_binders}/{id}/versions/{major_version}/{minor_version}/lifecycle_actions" method="GET"></Endpoint>

## Headers {#headers}

<FieldTable>
| Name | Description |
| --- | --- |
| `Accept` | `application/json` (default) or `application/xml` |
</FieldTable>

## URI Path Parameters {#uri-path-parameters}

<FieldTable>
| Name | Description |
| --- | --- |
| `{documents_or_binders}` | Choose to retrieve values for `documents` or `binders`. |
| `{id}` | The document or binder `id` field value from which to retrieve available user actions. |
| `{major_version}` | The major version number of the document or binder. |
| `{minor_version}` | The minor version number of the document or binder. |
</FieldTable>

## Request {#request}

<CodeExample title="">
```
curl -X GET -H "Authorization: {SESSION_ID}" \
https://myvault.veevavault.com/api/v15.0/objects/documents/222/versions/0/1/lifecycle_actions

```
</CodeExample>

## Response {#response}

<CodeExample title="">
```
{
  "responseStatus": "SUCCESS",
  "responseMessage": "Success",
  "lifecycle_actions__v": [
    {
      "name__v": "startApproval",
      "label__v": "Start Approval",
      "lifecycle_action_type__v": "workflow",
      "entry_requirements__v": "https://myvault.veevavault.com/api/v15.0/objects/documents/222/versions/0/1/lifecycle_actions/startApproval/entry_requirements"
    },
    {
      "name__v": "approve",
      "label__v": "Approve",
      "lifecycle_action_type__v": "stateChange",
      "entry_requirements__v": "https://myvault.veevavault.com/api/v15.0/objects/documents/222/versions/0/1/lifecycle_actions/approve/entry_requirements"
    }
  ]
}

```
</CodeExample>

## Response Details {#response-details}

The response lists all available user actions (`lifecycle_actions__v`) that can be initiated on the specified version of the document or binder.

* `name__v` - The user action name (consumed by the API). These vary from Vault to Vault and may be text, numeric, or alphanumeric values.

* `label__v` - The user action label.

* `lifecycle_action_type__v` - The `workflow` and `stateChange` types are the most commonly used and are available in all Vaults. Others may exist.

* `entry_requirements__v` - The endpoint to retrieve the entry criteria for each user action. If no entry criteria exist, this will be excluded from the response.

Note that user actions are not returned for documents or binders which are currently in an active workflow.



---

**Previous:** [Document & Binder User Actions](/vault-api/api-reference/19.1/document-lifecycle-workflows/document-binder-user-actions)  
**Next:** [Retrieve User Actions on Multiple Documents or Binders](/vault-api/api-reference/19.1/document-lifecycle-workflows/document-binder-user-actions/retrieve-user-actions-on-multiple-documents-or-binders)